SDL_GetGPURendererDevice(3)

NAME
SDL_GetGPURendererDevice - Return the GPU device used by a renderer.

SYNOPSIS
#include <SDL3/SDL_render.h>

SDL_GPUDevice * SDL_GetGPURendererDevice(SDL_Renderer *renderer);

FUNCTION PARAMETERS

renderer
    the rendering context.

RETURN VALUE
Returns the GPU device used by the renderer, or NULL if the renderer is not a GPU renderer; call SDL_GetError() for more information.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.4.0.